# -*- coding: utf-8 -*-
import names
import squish, test
from PageObject import PageObject

class AddressBookAdd(PageObject):
    DIALOG_ADD = names.address_Book_Add_Dialog
    TEXTFIELD_FORNAME = names.address_Book_Add_Forename_JTextField
    TEXTFIELD_SURNAME = names.address_Book_Add_Surname_JTextField
    TEXTFIELD_EMAIL = names.address_Book_Add_Email_JTextField
    TEXTFIELD_PHONE = names.address_Book_Add_Phone_JTextField
    BUTTON_OK = names.address_Book_Add_OK_JButton
    BUTTON_CANCEL = names.address_Book_Add_Cancel_JButton

    def __init__(self):
        test.log("Opening Address Book - Add window")
        squish.waitForObject(self.DIALOG_ADD)

    def ok(self):
        test.log("Press OK button to add new entry to address book")
        squish.clickButton(squish.waitForObject(self.BUTTON_OK))

    def cancel(self):
        test.log("Press Cancel button")
        squish.clickButton(squish.waitForObject(self.BUTTON_CANCEL))