from PageObjects.Addressbook import AddressBook

def main():
    startApplication("AddressBookSwing.jar")
    addressBook = AddressBook()
    test.compare(addressBook.rowscount(), 0, "AddressBook.rowscount?")
    addressBook.new()
    addressBookAdd = addressBook.add()
    addressBookAdd.fill(TEXTFIELD_FORNAME="Tom", TEXTFIELD_SURNAME="Paw", TEXTFIELD_EMAIL="tp@m.com", TEXTFIELD_PHONE="1234")
    addressBookAdd.ok()
    test.compare(addressBook.rowscount(), 1, "AddressBook.rowscount == 1?")
    test.xcompare(addressBook.entries()[0], [], "AddressBook.entries != 0?")